Bug 962525 - (CVE-2013-2070) CVE-2013-2070 nginx: denial of service or memory disclosure when using proxy_pass
CVE-2013-2070 nginx: denial of service or memory disclosure when using proxy_...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130513,repor...
: Security
Depends On: 962526
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 14:53 EDT by Vincent Danen
Modified: 2015-07-31 03:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 02:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 821184 None None None Never

  None (edit)
Description Vincent Danen 2013-05-13 14:53:43 EDT
A similar security issue to CVE-2013-2028 was identified [1] for versions of nginx if proxy_pass to untrusted upstream HTTP servers are used, which could lead to a denial of service or a disclosure of a worker process' memory.

The problem affects nginx 1.1.4 - 1.2.8, 1.3.0 - 1.4.0 and was assigned the name CVE-2013-2070, so only Fedora 18 is affected.

http://nginx.org/download/patch.2013.proxy.txt

[1] http://www.openwall.com/lists/oss-security/2013/05/13/3
Comment 1 Vincent Danen 2013-05-13 14:54:28 EDT
Created nginx tracking bugs for this issue

Affects: fedora-18 [bug 962526]
Comment 2 Jan Lieskovsky 2013-05-22 09:05:26 EDT
nginx-announce ML post:
  http://mailman.nginx.org/pipermail/nginx-announce/2013/000114.html
Comment 3 Fedora Update System 2013-05-23 08:24:11 EDT
nginx-1.2.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.